using System.Drawing;

namespace HeuristicLab.Visualization {
  public interface IDataRow {
    string Label { get; set; }
    Color Color { get; set; }
    int Thickness { get; set; }
    DrawingStyle Style { get; set; }

    void AddValue(double value);
    void AddValue(double value, int index);
    void AddValues(double[] values);
    void AddValues(double[] values, int index);

    void ModifyValue(double value, int index);
    void ModifyValues(double[] values, int index);

    void RemoveValue(int index);
    void RemoveValues(int index, int count);

    int Count { get; }
    double this[int index] { get; set; }

    event ValuesChangedHandler ValuesChanged;
    event ValueChangedHandler ValueChanged;
  }
}